---
updatedAt: 2026-09-16T12:23:30.000Z
agentTools:
  projectIndex: https://docs.datanomik.com/llms.txt
---

# Create Link

Create a link

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "openbanking-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.datanomik.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/links": {
      "post": {
        "summary": "Create Link",
        "description": "Create a link",
        "operationId": "v1items",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "country",
                  "institution",
                  "description",
                  "metadata"
                ],
                "properties": {
                  "country": {
                    "type": "string",
                    "description": "Country ISO Alpha-2",
                    "enum": [
                      "AR",
                      "BR",
                      "BO",
                      "CO",
                      "CH",
                      "PY",
                      "PE",
                      "UY"
                    ]
                  },
                  "institution": {
                    "type": "string",
                    "description": "Institution name (To see an example please check Institutions endpoint)"
                  },
                  "description": {
                    "type": "string",
                    "description": "Description to identify your links"
                  },
                  "live": {
                    "type": "boolean",
                    "description": "Indicate if the link use simulated information or live institution information",
                    "default": false
                  },
                  "recurrent": {
                    "type": "boolean",
                    "description": "Indicate if the link need to refresh information about accounts, owners, and transaction information or is a oneshoot link",
                    "default": false
                  },
                  "metadata": {
                    "type": "object",
                    "description": "Information required by each institutions",
                    "properties": {
                      "type": {
                        "type": "string",
                        "description": "Required for some institutions. Please check institutions endpoint"
                      },
                      "username": {
                        "type": "string"
                      },
                      "password": {
                        "type": "string"
                      }
                    }
                  },
                  "authentication_type_id": {
                    "type": "string",
                    "description": "Authentication Type Id, default one will be used if not sent. Get it for Institution detail request."
                  },
                  "authentication_step_id": {
                    "type": "string",
                    "description": "First Authentication Step will be used by default. Get it for Institution detail requets."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"b0f8ccb9-aad8-4fe9-a531-cd6ddd04cae2\",\n    \"description\": \"PERSONAL ACCOUNT <PEDRO DE OLIVERA>\",\n    \"institution\": \"SANTANDER\",\n    \"institution_type\": \"BANK\",\n    \"institution_description\": \"Santander\",\n    \"institution_logo\": \"https://resources.datanomik.com/institutions/uy/Santander.svg\",\n    \"country\": \"UY\",\n    \"refresh_rate\": \"360\",\n    \"accessed_at\": \"2022-07-06T17:10:33.005627079Z\",\n    \"mode\": \"AUTOMATIC\",\n    \"source\": \"API\",\n    \"recurrent\": false,\n    \"live\": false,\n    \"status\": \"ACTIVE\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "b0f8ccb9-aad8-4fe9-a531-cd6ddd04cae2"
                    },
                    "description": {
                      "type": "string",
                      "example": "PERSONAL ACCOUNT <PEDRO DE OLIVERA>"
                    },
                    "institution": {
                      "type": "string",
                      "example": "SANTANDER"
                    },
                    "institution_type": {
                      "type": "string",
                      "example": "BANK"
                    },
                    "institution_description": {
                      "type": "string",
                      "example": "Santander"
                    },
                    "institution_logo": {
                      "type": "string",
                      "example": "https://resources.datanomik.com/institutions/uy/Santander.svg"
                    },
                    "country": {
                      "type": "string",
                      "example": "UY"
                    },
                    "refresh_rate": {
                      "type": "string",
                      "example": "360"
                    },
                    "accessed_at": {
                      "type": "string",
                      "example": "2022-07-06T17:10:33.005627079Z"
                    },
                    "mode": {
                      "type": "string",
                      "example": "AUTOMATIC"
                    },
                    "source": {
                      "type": "string",
                      "example": "API"
                    },
                    "recurrent": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "live": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "status": {
                      "type": "string",
                      "example": "ACTIVE"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 456,\n    \"type\": \"INVALID_REQUEST_BODY\",\n    \"message\": \"Invalid request body\",\n    \"trace_id\": \"d7640f6728efb826\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 456,
                      "default": 0
                    },
                    "type": {
                      "type": "string",
                      "example": "INVALID_REQUEST_BODY"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid request body"
                    },
                    "trace_id": {
                      "type": "string",
                      "example": "d7640f6728efb826"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. Missing or invalid Basic Auth credentials.",
            "content": {
              "application/json": {
                "examples": {
                  "UNAUTHORIZED": {
                    "value": "{\n    \"code\": 401,\n    \"type\": \"UNAUTHORIZED\",\n    \"message\": \"Invalid credentials.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 401
                    },
                    "type": {
                      "type": "string",
                      "example": "UNAUTHORIZED"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid credentials."
                    },
                    "traceId": {
                      "type": "string",
                      "example": "0af7651916cd43dd8448eb211c80319c"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. Source IP not whitelisted, credentials without the required scope, or trial period expired.",
            "content": {
              "application/json": {
                "examples": {
                  "IP_NOT_ALLOWED": {
                    "value": "{\n    \"code\": 632,\n    \"type\": \"IP_NOT_ALLOWED\",\n    \"message\": \"Source ip address not allowed.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  },
                  "TRIAL_PERIOD_EXPIRED": {
                    "value": "{\n    \"code\": 607,\n    \"type\": \"TRIAL_PERIOD_EXPIRED\",\n    \"message\": \"Trial period has expired.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  },
                  "FORBIDDEN": {
                    "value": "{\n    \"code\": 403,\n    \"type\": \"FORBIDDEN\",\n    \"message\": \"Forbidden\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 632
                    },
                    "type": {
                      "type": "string",
                      "example": "IP_NOT_ALLOWED"
                    },
                    "message": {
                      "type": "string",
                      "example": "Source ip address not allowed."
                    },
                    "traceId": {
                      "type": "string",
                      "example": "0af7651916cd43dd8448eb211c80319c"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found. The referenced resource does not exist or does not belong to your workspace.",
            "content": {
              "application/json": {
                "examples": {
                  "INSTITUTION_NOT_FOUND": {
                    "value": "{\n    \"code\": 611,\n    \"type\": \"INSTITUTION_NOT_FOUND\",\n    \"message\": \"Institution resource not found.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 611
                    },
                    "type": {
                      "type": "string",
                      "example": "INSTITUTION_NOT_FOUND"
                    },
                    "message": {
                      "type": "string",
                      "example": "Institution resource not found."
                    },
                    "traceId": {
                      "type": "string",
                      "example": "0af7651916cd43dd8448eb211c80319c"
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict. The resource already exists or an equivalent operation is already in progress.",
            "content": {
              "application/json": {
                "examples": {
                  "LINK_ALREADY_EXISTS": {
                    "value": "{\n    \"code\": 732,\n    \"type\": \"LINK_ALREADY_EXISTS\",\n    \"message\": \"There is already a link created with the same credentials.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 732
                    },
                    "type": {
                      "type": "string",
                      "example": "LINK_ALREADY_EXISTS"
                    },
                    "message": {
                      "type": "string",
                      "example": "There is already a link created with the same credentials."
                    },
                    "traceId": {
                      "type": "string",
                      "example": "0af7651916cd43dd8448eb211c80319c"
                    }
                  }
                }
              }
            }
          },
          "412": {
            "description": "Precondition Failed. The current state of the link/institution does not allow the operation.",
            "content": {
              "application/json": {
                "examples": {
                  "INSTITUTION_NOT_ACTIVE": {
                    "value": "{\n    \"code\": 702,\n    \"type\": \"INSTITUTION_NOT_ACTIVE\",\n    \"message\": \"The institution is not enable, it is not possible to create a link for it.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  },
                  "TOKEN_REQUIRED_FOR_ACTION": {
                    "value": "{\n    \"code\": 707,\n    \"type\": \"TOKEN_REQUIRED_FOR_ACTION\",\n    \"message\": \"Token required to update this institution's credentials.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 702
                    },
                    "type": {
                      "type": "string",
                      "example": "INSTITUTION_NOT_ACTIVE"
                    },
                    "message": {
                      "type": "string",
                      "example": "The institution is not enable, it is not possible to create a link for it."
                    },
                    "traceId": {
                      "type": "string",
                      "example": "0af7651916cd43dd8448eb211c80319c"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. Unexpected error; report the `traceId` to support.",
            "content": {
              "application/json": {
                "examples": {
                  "INTERNAL_ERROR": {
                    "value": "{\n    \"code\": 500,\n    \"type\": \"INTERNAL_ERROR\",\n    \"message\": \"Unexpected error. Please contact support with the traceId.\",\n    \"traceId\": \"0af7651916cd43dd8448eb211c80319c\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 500
                    },
                    "type": {
                      "type": "string",
                      "example": "INTERNAL_ERROR"
                    },
                    "message": {
                      "type": "string",
                      "example": "Unexpected error. Please contact support with the traceId."
                    },
                    "traceId": {
                      "type": "string",
                      "example": "0af7651916cd43dd8448eb211c80319c"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```